#
# spec file for package jakarta-pages
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global short_name pages
Name:           jakarta-%{short_name}
Version:        4.0.0
Release:        1.1
Summary:        Jakarta Server Pages
License:        EPL-2.0 OR BSD-3-Clause
Group:          Development/Libraries/Java
URL:            http://eclipse.org/ee4j/jsp
Source0:        https://github.com/jakartaee/%{short_name}/archive/refs/tags/%{version}-RELEASE.tar.gz
BuildRequires:  fdupes
BuildRequires:  maven-local
BuildRequires:  mvn(jakarta.el:jakarta.el-api)
BuildRequires:  mvn(jakarta.servlet:jakarta.servlet-api)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.eclipse.ee4j:project:pom:)
BuildConflicts: java-devel < 17
BuildArch:      noarch

%description
Jakarta Pages defines a template engine for web applications.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation/HTML

%description javadoc
API documentation for %{name}.

%prep
%autosetup -n %{short_name}-%{version}-RELEASE

%pom_remove_plugin :maven-enforcer-plugin api
%pom_remove_plugin :maven-source-plugin api
%pom_remove_plugin :maven-javadoc-plugin api

%build
pushd api
%{mvn_build} -f
popd

%install
pushd api
%mvn_install
%fdupes %{buildroot}%{_javadocdir}/%{name}
popd

%files -f api/.mfiles
%license {NOTICE,LICENSE}.md
%doc README.md

%files javadoc -f api/.mfiles-javadoc
%license {NOTICE,LICENSE}.md

%changelog
* Thu Mar 27 2025 Fridrich Strba <fstrba@suse.com>
- Fix build with both xmvn-mojo:javadoc and javadoc:aggregate
* Tue Oct 15 2024 Anton Shvetz <shvetz.anton@gmail.com>
- Initial packaging with v4.0.0
